import React, { PropTypes } from 'react'
import styled, { css, keyframes } from 'styled-components'
import Box from './Box'

const rotate360 = keyframes`
  from {
    transform: rotate(0deg);
  }

  to {
    transform: rotate(360deg);
  }
`

const styles = ({
  size,
  theme
}) => css`
  &,
  &:after {
    border-radius: 50%;
  }

  font-size: 10px;
  position: relative;
  text-indent: -9999em;
  border-top: 2px solid ${theme.colors.primary[0]};
  border-right: 2px solid ${theme.colors.tint[1]};
  border-bottom: 2px solid ${theme.colors.tint[1]};
  border-left: 2px solid ${theme.colors.tint[1]};
  transform: translateZ(0);
  animation: ${rotate360} 0.5s infinite linear;
`

const Spinner = styled((props) =>
  React.createElement(Box, props))`${styles}`

Spinner.propTypes = {
  ...Box.propType
}

Spinner.defaultProps = {
  width: '32px',
  height: '32px'
}

Spinner.displayName = 'Spinner'

export default Spinner
