import React from 'react';
import { storiesOf, action, linkTo } from '@kadira/storybook'
import {
  App,
  Box,
  Content,
  Pane,
  Button
} from '../components'

export default function buttonStory (module) {
  storiesOf('Button', module)
    .add('usage', () => (
      <App>
        <Pane white padding={10}>
          <Content markdown>
{`
# Button

The Button component . Implements \`<Box />\`.

\`\`\`
<Button marginRight={2}>Default Button</Button>
<Button primary marginRight={2}>Primary Button</Button>
<Button danger marginRight={2}>Danger Button</Button>
<Button naked>Naked Button</Button>
\`\`\`
`}
          </Content>
          <Button marginRight={2}>Default Button</Button>
          <Button primary marginRight={2}>Primary Button</Button>
          <Button danger marginRight={2}>Danger Button</Button>
          <Button naked>Naked Button</Button>
          <Content markdown>
{`
prop | type | description
-----|------| -------
\`secondary (default)\`| boolean | renders a secondary button, used by default
\`primary\`| boolean | renders a green primary button
\`danger\`| boolean | renders a pinkish button
\`naked\`| boolean | renders a button without background color

`}
          </Content>
        </Pane>
      </App>
    ))
    .add('overview', () => (
      <App>
        <Box padding>
          <Button marginRight={2}>Default Button</Button>
          <Button primary marginRight={2}>Primary Button</Button>
          <Button danger marginRight={2}>Danger Button</Button>
          <Button naked>Naked Button</Button>
        </Box>
      </App>
    ))
}
